/*------------------ Loader ------------------*/

.loader-overlay {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999999;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
}

.loader-content {
    margin: 50vh auto 0;
    width: 30px;
    text-align: center;
    text-transform: uppercase;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
}

.loader-circle {
    -webkit-animation: spinningColor 1.5s ease-in-out infinite;
    animation: spinningColor 1.5s ease-in-out infinite;
    margin: 50px auto;
    border: 5px double #f0eff5;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    background-color: white;
}

.brand-loader-img {
    width: 44px;
    position: absolute;
    transform: translate(-50%, -50%);
    left: 99%;
    top: 50%;
    z-index: 999;
    height: 44px;
}

.loader-contend {
    position: relative;
}

@-webkit-keyframes spinningColor {
    100% {
        transform: rotate(360deg);
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    75% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    50% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    25% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    0% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }
}

@keyframes spinningColor {
    100% {
        transform: rotate(360deg);
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    75% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    50% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    25% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }

    0% {
        border-top: 5px dashed var(--primary-color);
        border-bottom: 5px dashed #fff;
    }
}

/*------------------ End Loader ------------------*/

.rotating-image {
    animation: rotateImage 3s linear infinite;
    background: white;
    border-radius: 30px;
}

@keyframes rotateImage {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

#dvErrorMessage {
    height: 100dvh;
}

.arcelor-logo-container img:first-child {
    max-width: 120px;
    height: auto;
}

.arcelor-logo-container img:last-child {
    max-width: 180px;
    height: auto;
}
